/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __UI_H
#define __UI_H

#include <picowidget.h>
#include "indexpage.h"
#include "entrypage.h"
#include "buttonpage.h"
#include "checkbuttonpage.h"
#include "radiobuttonpage.h"
typedef struct _ui UI;
typedef enum _page Page;
typedef enum _images Images;

#define NORMAL_FONT "-picopeta-simputer-medium-r-normal--11-*-*-*-p-*-fontspecific-0"
#define BOLD_FONT "-picopeta-simputer-bold-r-normal--11-*-*-*-p-*-fontspecific-0"
#define SMALL_FONT "-picopeta-simputer-medium-r-normal--9-*-*-*-p-*-fontspecific-0"
#define TINY_FONT "-picopeta-simputer-medium-r-normal--7-*-*-*-p-*-fontspecific-0"
#define LARGE_FONT "-picopeta-simputer-medium-r-normal--14-*-*-*-p-*-fontspecific-0"

enum _page {INDEXPAGE, ENTRYPAGE, BUTTONPAGE, CHECKBUTTONPAGE, RADIOBUTTONPAGE };
enum _images {BACKGROUND, TRIANGLE, TRIANGLE_A, SQUARES, SQUARES_A, CIRCLES, CIRCLES_A, HEXAGON, HEXAGON_A, NR_IMAGES};
struct _ui 
{
	IndexPage* indexpage;
	EntryPage* entrypage;
	ButtonPage* buttonpage;
	CheckbuttonPage* checkbuttonpage;
	RadiobuttonPage* radiobuttonpage;
	px_widget* toplevel;
	px_pixmap* pixmaps[NR_IMAGES];
};

UI* ui_get_ui();
UI* ui_create();
void ui_show(UI*, Page);
void ui_hide(UI*, Page);
px_pixmap* ui_get_pixmap (UI* ui, Images pix);
#endif
	
